Package org.apache.sling.distribution.serialization.impl.vlt

## Class ErrorListener

- java.lang.Object
- - org.apache.sling.distribution.serialization.impl.vlt.ErrorListener

All Implemented Interfaces:
  `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`

    public class ErrorListener
    extends Object
    implements org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener

Keeps track of the latest error

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener

`org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode`

### Constructor Summary

Constructors
`ErrorListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Exception` `getLastError()`
`void` `onError​(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String path, Exception e)`
`void` `onMessage​(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode, String action, String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorListener

    public ErrorListener()

### Method Detail

#### getLastError

    public Exception getLastError()

#### onMessage

    public void onMessage​(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode,
                          String action,
                          String path)

Specified by:
  `onMessage` in interface `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`

#### onError

    public void onError​(org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener.Mode mode,
                        String path,
                        Exception e)

Specified by:
  `onError` in interface `org.apache.jackrabbit.vault.fs.api.ProgressTrackerListener`